%define real_name PDL
%define name perl-%{real_name}
%define version 2.3.4
%define release 2mdk
%define epoch 1


Summary: PerlDL, an efficient numerical language for scientific computing
Name: %{name}
Version: %{version}
Release: %{release}
Epoch: %{epoch}
License: GPL
Group: Development/Perl
Buildroot: %{_tmppath}/%{name}-buildroot/
URL: http://www.cpan.org
Source: ftp://ftp.cpan.org/pub/perl/CPAN/modules/by-module/PDL/%{real_name}-%{version}.tar.bz2
Source1: PDL-convert-doc.pl.bz2
Patch: PDL-nofftw.patch.bz2
Patch1: PDL-2.3.3-pic.patch.bz2
Patch2: PDL-2.3.3-handle-INSTALLDIRS-vendor.patch.bz2
Patch3: PDL-opengl.patch.bz2
Prefix: %{_prefix}
Requires: Mesa >= 3.0 perl-PerlIO-gzip
BuildRequires:	XFree86-devel gcc-g77 libncurses5-devel perl-ExtUtils_F77 perl-devel libMesaGLU1-devel
Obsoletes: PDL
Provides: PDL

%package doc
Summary: PerlDL documentation package
Group:   Books/Computer books
Requires: perl-PDL

%description
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

%description doc
The perlDL project aims to turn perl into an efficient numerical language for
scientific computing. The PDL module gives standard perl the ability to
COMPACTLY store and SPEEDILY manipulate the large N-dimensional data sets which
are the bread and butter of scientific computing. e.g. C<$a=$b+$c> can add two
2048x2048 images in only a fraction of a second.

The aim is to provide tons of useful functionality for
scientific and numeric analysis.

This is the documentation package.

%prep
%setup -q -n %{real_name}-%{version}
%patch -p0 -b .nofftw
%patch1 -p1 -b .pic
%patch2 -p1
%patch3 -p1 -b .opengl

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

# first generate blib/lib/PDL/pdldoc.db
make doctest
# 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{prefix}"

# create /usr/bin if it not already exists
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}

# fix installed documentation
%{__bzip2} -dc %{SOURCE1} | %{__perl} - "$RPM_BUILD_ROOT"

# compress all .pm files (as using perl-PerlIO-gzip will allow using them).
find $RPM_BUILD_ROOT -name "*.pm" | xargs gzip -9

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING Changes DEPENDENCIES Known_problems README DEVELOPMENT INSTALL TODO 
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorarch}/auto/PDL
%{perl_vendorarch}/PDL.pm*
%{perl_vendorarch}/Inline
%dir %{perl_vendorarch}/PDL
%{perl_vendorarch}/PDL/default.perldlrc
%{perl_vendorarch}/PDL/pdldoc.db
%{perl_vendorarch}/PDL/*.pm*
%{perl_vendorarch}/PDL/Core
%{perl_vendorarch}/PDL/Demos
%{perl_vendorarch}/PDL/Doc
%{perl_vendorarch}/PDL/Filter
%{perl_vendorarch}/PDL/Fit
%{perl_vendorarch}/PDL/Graphics
%{perl_vendorarch}/PDL/IO
%{perl_vendorarch}/PDL/Opt
%{perl_vendorarch}/PDL/Pod
%{perl_vendorarch}/PDL/PP
%{perl_vendorarch}/PDL/RandVar

%files doc
%defattr(-,root,root)
%doc COPYING 
%{perl_vendorarch}/PDL/*.pod
%{perl_vendorarch}/PDL/HtmlDocs

%changelog
* Thu Feb 13 2003 Franois Pons <fpons@mandrakesoft.com> 2.3.4-2mdk
- enabled OpenGL support (patch3).
- add missing files.
- compress perl module.

* Wed Oct 16 2002 Franois Pons <fpons@mandrakesoft.com> 2.3.4-1mdk
- 2.3.4.

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3.3-5mdk
- fix doc subpackage group

* Mon Aug  5 2002 Pixel <pixel@mandrakesoft.com> 2.3.3-4mdk
- rebuild for perl thread-multi

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 2.3.3-3mdk
- rebuild for perl 5.8.0

* Tue Jul  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.3.3-2mdk
- Use %%perl_man3dir
- BuildRequires: perl-Filter
- Patch1: Build with PIC, objects that will turn into shared ones

* Mon Jun 10 2002 Franois Pons <fpons@mandrakesoft.com> 2.3.3-1mdk
- 2.3.3.

* Thu Jan 03 2002 Franois Pons <fpons@mandrakesoft.com> 2.3.2-1mdk
- 2.3.2.

* Mon Dec 10 2001 Franois Pons <fpons@mandrakesoft.com> 2.3.1-1mdk
- fixed PDL online documentation.
- now use epoch to get author version numbering.
- 2.3.1.

* Mon Dec 03 2001 Stefan van der Eijk <stefan@eijk.nu> 2.201-4mdk
- fix BuildRequires

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 2.201-3mdk
- added url tag.
- removed obsolete patch still included in src.

* Wed Sep 05 2001 Franois Pons <fpons@mandrakesoft.com> 2.201-2mdk
- update Provides tag.

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 2.201-1mdk
- 2.2.1.

* Wed Jan 31 2001 Franois Pons <fpons@mandrakesoft.com> 2.200-1mdk
- fixed build dir in documentation index and html doc.
- 2.2.

* Thu Nov 16 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-4mdk
- created patch to force disabling fftw (while in contrib).

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-3mdk
- updated summary.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-2mdk
- created patch for proper compilation without Mesa-devel.

* Fri Aug 04 2000 Franois Pons <fpons@mandrakesoft.com> 2.101-1mdk
- 2.1.1 renamed as 2.101 to avoid serializing.
- added perl-PDL-doc for pod files and HTML docs.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 2.005-3mdk
- created patch to compile with new Mesa-3.3.

* Mon Jul 31 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 2.005-2mdk
- macrosfizication
- build with Core and HtmlDocs
- moving stuff from /usr/local/scripts to /usr/bin if needed; and don't tell me
  noone that this is already automagically done, because it ain't!
- added all the files that get installed during build, aka. nightmare? *g*
- added some %doc files

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 2.005-1mdk
- 2.005.
- removed patch for compiling with perl 5.6.0.
- removed perllocal.pod

* Mon Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 2.004-1mdk
- updated to 2.004.
- added patch for compiling with perl 5.6.0.
- reduced nightmare of files section.
- removed man1 pages as they are no longer available?
- updated Group.

* Tue Jan 18 2000 Frederic Lepied <flepied@mandrakesoft.com> 2.003-5mdk
- fix on non i386 arch.

* Thu Dec 16 1999 Franois PONS <fpons@mandrakesoft.com>
- added section 1 man pages (mainly internals of PDL).

* Wed Dec 15 1999 Franois PONS <fpons@mandrakesoft.com>
- added perldl, although not mandatory it helps a lot for tutorial and doc.

* Thu Dec  9 1999 Pixel <pixel@linux-mandrake.com>
- rebuild with new Mesa

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- upgraded to version 2.003
- fixed missing defattr.
- Build release.

* Tue Jul 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix %{name} problems to perl-PDL (all perl modules need to begin with perl)
- Add a Requires: Mesa

* Fri Jul  9 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- first version of rpm.

# end of file
